import type { Action } from '../types';
/**
 * With the `use-lazy` action, you can set attributes on an element when it is visible in the viewport.
 *
 * @example
 * ```svelte
 *  <img use:lazy={{src:"/my-image"}} alt="My Image">
 * ```
 * @param attributes - an object whose properties are the attributes to be applied, and the values are the attr values
 * @see https://svelteui-docs.vercel.app/docs/actions/use-lazy
 */
export declare function lazy(node: HTMLElement, attributes: Record<string, number | string>): ReturnType<Action>;
