import type { Action } from '../types';
/**
 * Creates `long press` event when mousedown is above the `duration` milliseconds..
 *
 * ```tsx
 *  <button use:longpress={duration} on:uselongpress={() => alert("longpress")}>
 *     press and hold
 *  </button>
 * ```
 * @param duration - The duration until the longpress event is dispatched
 * @see https://svelteui-docs.vercel.app/docs/actions/use-longpress
 */
export declare function longpress(node: HTMLElement, duration: number): ReturnType<Action>;
