import type { Action } from '../types';
/**
 * With the `use-persistenttab` action, prevent current tab from being closed by user.
 *
 * ```svelte
 *  <button use:persistenttab={true}>Keep tab open</button>
 * ```
 * @param enabled - Determines whether the action should execute or not.
 * @see https://svelteui-docs.vercel.app/docs/actions/use-persistenttab
 */
export declare function persistenttab(node: HTMLElement, enabled: boolean): ReturnType<Action>;
