import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: any;
        element?: any;
        class?: any;
        root?: SvelteNode;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            [x: string]: any;
        };
    };
};
export declare type FragmentProps = typeof __propDef.props;
export declare type FragmentEvents = typeof __propDef.events;
export declare type FragmentSlots = typeof __propDef.slots;
/**
 * Fragments let you group a list of children without adding extra nodes to the DOM.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/fragment
 * @example
 *    ```svelte
 * <Fragment>
 * 	<div>Child 1</div>
 * 	<div>Child 2</div>
 * 	<div>Child 3</div>
 * </Fragment>
 *    ```
 */
export default class Fragment extends SvelteComponentTyped<FragmentProps, FragmentEvents, FragmentSlots> {
}
export {};
